import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import BaseCard from "@/components/UI/BaseCard.vue";
import BaseButton from "@/components/UI/BaseButton.vue";
import BaseGrid from "@/components/UI/BaseGrid.vue";
import ContentWrapper from "@/components/layout/ContentWrapper.vue";
import BaseTitle from "@/components/UI/BaseTitle.vue";

const app = createApp(App)

app.component("BaseCard", BaseCard)
app.component("BaseButton", BaseButton)
app.component("BaseGrid", BaseGrid)
app.component("ContentWrapper", ContentWrapper)
app.component("BaseTitle", BaseTitle)

app.use(createPinia())
app.use(router)

app.mount('#app')
